---
title: "Get markets"
url: https://docs.truemarkets.co/api/institutional/get-market-data-cefi
description: "Query for the exchange best bid/offer (EBBO) by instrument ID. If no query parameters are supplied then ALL available EBBOs will be returned."
---

Docs index: https://docs.truemarkets.co/llms.txt

# Get markets

Query for the exchange best bid/offer (EBBO) by instrument ID. If no query parameters are supplied then ALL available EBBOs will be returned.

## Request

```
GET https://api.truex.co/v1/cefi/market/quote
```

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `instrument_id` | query | string | no | Instrument ID of the market to query for. Must be a valid non-zero numeric ID. |

## Responses

Every error status returns the same body, described in [Errors](https://docs.truemarkets.co/developer-resources/errors.md).

### 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `[].id` | string | no | Exchange assigned ID of the market data. |
| `[].symbol` | string | no | Human readable representation of the instrument. |
| `[].info` | object | no |  |
| `[].info.last_trade` | object | no |  |
| `[].info.last_trade.price` | string | no | Price of the last trade. |
| `[].info.last_trade.qty` | string | no | Quantity of the last trade. |
| `[].info.last_trade.timestamp` | string | no | The Unix UTC timestamp (in nanoseconds) when the trade was executed. |
| `[].info.best_bid` | object | no |  |
| `[].info.best_bid.price` | string | no | Price at this level. |
| `[].info.best_bid.qty` | string | no | Aggregate quantity resting at this level. |
| `[].info.best_bid.order_count` | string | no | Number of orders resting at this level. |
| `[].info.best_ask` | object | no |  |
| `[].info.best_ask.price` | string | no | Price at this level. |
| `[].info.best_ask.qty` | string | no | Aggregate quantity resting at this level. |
| `[].info.best_ask.order_count` | string | no | Number of orders resting at this level. |
| `[].info.last_update` | string | no | A UTC Unix epoch in nanoseconds indicating when the book was last updated. |

### 400

Bad request.

### 500

Internal server error.

### 503

Service unavailable.
